org.eclipse.net4j.util.security

## Class Credentials

- java.lang.Object
- - org.eclipse.net4j.util.security.Credentials

- All Implemented Interfaces:
    ICredentials, IUserAware
  Direct Known Subclasses:
    PasswordCredentials

      public class Credentials
      extends java.lang.Object
      implements ICredentials

  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Credentials(java.lang.String userID)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getUserID()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Credentials

          public Credentials(java.lang.String userID)

  - ### Method Detail

    - #### getUserID

          public java.lang.String getUserID()

      Specified by:
        `getUserID` in interface `IUserAware`

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html